#include <iostream>
#include "bitmap.h"

using namespace std;

int main() {
	const int imageWidth = 250, imageHeight = 250;
	Bitmap bitmap(imageWidth, imageHeight);
	for (int x = 0; x < imageWidth; x++) {
		for (int y = 0; y < imageHeight; y++) {
			bitmap.setPixel(x, y, 0, 0, 0);
		}
	}
	for (int x = imageWidth/5; x < imageWidth*4/5; x++) {
		bitmap.setPixel(x, 50, 0, 254, 0);
		bitmap.setPixel(x, 51, 0, 254, 0);
	}
	for (int x = 80; x < 170; x++) {
		bitmap.setPixel(x, 100, 0, 254, 0);
		bitmap.setPixel(x, 101, 0, 254, 0);
	}
	for (int y = imageHeight/5; y < imageHeight*3/5; y++) {
		bitmap.setPixel(imageWidth/2, y, 0, 254, 0);
		bitmap.setPixel(imageWidth/2+1, y, 0, 254, 0);
	}
	bitmap.save("Earth.bmp");

	return 0;
}